diff -ruN .//builder/.calculate_directory /var/calculate/remote/templates//builder/.calculate_directory
--- .//builder/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//builder/.calculate_directory	2012-04-17 17:23:56.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip cl_name==calculate-builder
diff -ruN .//builder/squash/.calculate_directory /var/calculate/remote/templates//builder/squash/.calculate_directory
--- .//builder/squash/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//builder/squash/.calculate_directory	2012-04-17 17:23:56.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip ac_builder_squash==up
diff -ruN .//builder/squash/dhcpcd/30-hostname /var/calculate/remote/templates//builder/squash/dhcpcd/30-hostname
--- .//builder/squash/dhcpcd/30-hostname	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//builder/squash/dhcpcd/30-hostname	2012-04-20 00:35:22.000000000 +0300
@@ -0,0 +1,3 @@
+# Calculate format=patch path=/lib/dhcpcd/dhcpcd-hooks
+<reg>\|localhost\|localhost.localdomain</reg>
+<text>|localhost|calculate|calculate.local|localhost.localdomain</text>
diff -ruN .//builder/squash/dhcpcd/.calculate_directory /var/calculate/remote/templates//builder/squash/dhcpcd/.calculate_directory
--- .//builder/squash/dhcpcd/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//builder/squash/dhcpcd/.calculate_directory	2012-05-03 23:32:20.000000000 +0300
@@ -0,0 +1 @@
+# Calculate os_builder_linux_system!= append=skip
diff -ruN .//builder/squash/openrc/.calculate_directory /var/calculate/remote/templates//builder/squash/openrc/.calculate_directory
--- .//builder/squash/openrc/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//builder/squash/openrc/.calculate_directory	2012-05-03 23:32:20.000000000 +0300
@@ -0,0 +1 @@
+# Calculate os_builder_linux_system!= append=skip
diff -ruN .//builder/squash/openrc/rc.conf /var/calculate/remote/templates//builder/squash/openrc/rc.conf
--- .//builder/squash/openrc/rc.conf	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//builder/squash/openrc/rc.conf	2012-05-03 23:51:18.000000000 +0300
@@ -0,0 +1,2 @@
+# Calculate format=openrc path=/etc
+rc_logger="YES"
diff -ruN .//client/.calculate_directory /var/calculate/remote/templates//client/.calculate_directory
--- .//client/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/.calculate_directory	2012-02-20 15:17:32.000000000 +0200
@@ -0,0 +1 @@
+# Calculate append=skip cl_name==calculate-client&&cl_ver>=2.2.1
diff -ruN .//client/domain/.calculate_directory /var/calculate/remote/templates//client/domain/.calculate_directory
--- .//client/domain/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/.calculate_directory	2012-02-20 15:17:32.000000000 +0200
@@ -0,0 +1 @@
+# Calculate append=skip ac_client_domain==up&&os_remote_auth!=
diff -ruN .//client/domain/pxe_client/1setup/bin/bashlogin /var/calculate/remote/templates//client/domain/pxe_client/1setup/bin/bashlogin
--- .//client/domain/pxe_client/1setup/bin/bashlogin	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/1setup/bin/bashlogin	2012-05-08 10:10:20.000000000 +0300
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+LANG=C HOME=/root exec /bin/login
diff -ruN .//client/domain/pxe_client/1setup/.calculate_directory /var/calculate/remote/templates//client/domain/pxe_client/1setup/.calculate_directory
--- .//client/domain/pxe_client/1setup/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/1setup/.calculate_directory	2012-04-20 07:13:44.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip ac_client_domain==up
diff -ruN .//client/domain/pxe_client/1setup/etc/runlevels/default/sshd /var/calculate/remote/templates//client/domain/pxe_client/1setup/etc/runlevels/default/sshd
--- .//client/domain/pxe_client/1setup/etc/runlevels/default/sshd	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/1setup/etc/runlevels/default/sshd	2012-04-20 03:39:39.000000000 +0300
@@ -0,0 +1 @@
+# Calculate link=/etc/init.d/sshd symbolic
diff -ruN .//client/domain/pxe_client/1setup/etc/shadow /var/calculate/remote/templates//client/domain/pxe_client/1setup/etc/shadow
--- .//client/domain/pxe_client/1setup/etc/shadow	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/1setup/etc/shadow	2012-05-10 04:17:32.000000000 +0300
@@ -0,0 +1,5 @@
+# Calculate format=patch
+<reg>^root:.*
+</reg>
+<text>root:$5$ssssssss$xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx:ttttt:0:::::
+</text>
diff -ruN .//client/domain/pxe_client/2start/00_restart_syslog.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/00_restart_syslog.sh
--- .//client/domain/pxe_client/2start/00_restart_syslog.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/00_restart_syslog.sh	2012-05-08 02:41:22.000000000 +0300
@@ -0,0 +1,10 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+if tail -n1 /var/log/messages | grep -qiE '^\S+\s+\S+\s+[0-9][0-9]:[0-9][0-9]:[0-9][0-9]\s+calculate\s' ; then
+    echo "Invalid hostname in /var/log/messages"
+    echo "Restarting syslog-ng"
+    /etc/init.d/syslog-ng restart
+fi
+:
diff -ruN .//client/domain/pxe_client/2start/10_start_sshd.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/10_start_sshd.sh
--- .//client/domain/pxe_client/2start/10_start_sshd.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/10_start_sshd.sh	2012-05-08 02:41:26.000000000 +0300
@@ -0,0 +1,6 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+/etc/init.d/sshd start
+:
diff -ruN .//client/domain/pxe_client/2start/20_remove_guest.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/20_remove_guest.sh
--- .//client/domain/pxe_client/2start/20_remove_guest.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/20_remove_guest.sh	2012-05-08 02:41:31.000000000 +0300
@@ -0,0 +1,6 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+/usr/sbin/userdel guest
+:
diff -ruN .//client/domain/pxe_client/2start/30_find_md.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/30_find_md.sh
--- .//client/domain/pxe_client/2start/30_find_md.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/30_find_md.sh	2012-05-08 02:41:36.000000000 +0300
@@ -0,0 +1,18 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+MD=`blkid -t TYPE=linux_raid_member`
+if [ -n "${MD}" ]; then
+    rc-service -i mdadm start
+fi
+LVM=`blkid -t TYPE=LVM2_member`
+if [ -n "${LVM}" ]; then
+    rc-service -i lvm start
+    if [ -z "${MD}" ] && blkid -t TYPE=linux_raid_member ; then
+        rc-service -i mdadm start
+    fi
+fi
+
+:
+
diff -ruN .//client/domain/pxe_client/2start/35_find_swap.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/35_find_swap.sh
--- .//client/domain/pxe_client/2start/35_find_swap.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/35_find_swap.sh	2012-05-08 02:41:40.000000000 +0300
@@ -0,0 +1,10 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+SWAP=`/sbin/blkid -t TYPE=swap -o device`
+if [ -n "${SWAP}" ]; then
+    /sbin/swapon ${SWAP}
+fi
+
+:
diff -ruN .//client/domain/pxe_client/2start/35_mount_all.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/35_mount_all.sh
--- .//client/domain/pxe_client/2start/35_mount_all.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/35_mount_all.sh	2012-05-08 03:37:07.000000000 +0300
@@ -0,0 +1,31 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+FS_MOUNT="ext2,ext3,ext4,reiserfs"
+
+mkmpoint(){
+	i=0
+	mpoint=
+	while ! mkdir "${mpoint}" &>/dev/null; do 
+		mpoint=/media/`basename ${1}`
+		[ "${i}" -gt 0 ] && mpoint="${mpoint}_${i}"
+		i=`echo "1+${i}"| bc`
+	done
+	echo "${mpoint}"
+}
+
+blkid | sed -nre 's/^(\S+):\s+(LABEL="(\S+)"\s+)?(UUID="(\S+)"\s+)?(TYPE="(\S+)"\s+)?$/\1|\3|\5|\7/p'| \
+while IFS='|' read dev label uuid type; do
+	## echo -e "$dev\t|\t$label\t|\t$uuid\t|\t$type"
+		if grep -qw "$type" <<< "${FS_MOUNT}"; then
+			grep -qE "^${dev} " /proc/mounts && continue
+			mpoint=`mkmpoint ${dev}`
+			echo "${dev} ${mpoint} ${type} ro,acl,user_xattr 0 1" >>/etc/fstab
+			## mount -voro -t "${type}" "${dev}" "${mpoint}" || rmdir "${mpoint}"
+		fi
+done
+
+/etc/init.d/fsck --nodeps restart
+mount -at "${FS_MOUNT}"
+:
diff -ruN .//client/domain/pxe_client/2start/37_find_root.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/37_find_root.sh
--- .//client/domain/pxe_client/2start/37_find_root.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/37_find_root.sh	2012-05-08 03:36:43.000000000 +0300
@@ -0,0 +1,42 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+## Looking for the roots of the system and mount the latest in /mnt/root
+
+DST=/mnt/root
+[ -d "${DST}" ] && exit 0
+
+valid_root(){
+	mpoint="$1"
+	grep -qE "^127\.0\.0\.1\s+#-os_net_hostname-#\.#-os_net_domain-#\s+#-os_net_hostname-#\s+localhost" <${mpoint}/etc/hosts && \
+	LANG=C ls -dl "${mpoint}/etc/mtab"| grep -qE -- '^-rw-r--r--\s+\S+\s+root\s+root' && \
+	LANG=C ls -dl "${mpoint}/etc/fstab"| grep -qE -- '^-r...-..-.\s+\S+\s+root\s+root' && \
+	LANG=C ls -dl "${mpoint}/etc/shadow"| grep -qE -- '^-rw-------\s+\S+\s+root\s+root' && \
+	LANG=C ls -dl "${mpoint}/etc/passwd"| grep -qE -- '^-rw-r--r--\s+\S+\s+root\s+root' && \
+	LANG=C ls -dl "${mpoint}/etc/group"| grep -qE -- '^-rw-r--r--\s+\S+\s+root\s+root' && \
+	LANG=C ls -dl "${mpoint}/home/"| grep -qE -- '^drwxr-xr-x\s+\S+\s+root\s+root' && \
+	LANG=C ls -dl "${mpoint}/var/calculate/"| grep -qE -- '^drwxr-xr-x\s+\S+\s+root\s+root' && \
+	return 0
+	return 1
+}
+
+root_dir=
+for mpoint in /media/*/; do
+    if valid_root "${mpoint}" &>/dev/null ; then
+	root_dir="${root_dir} ${mpoint}etc/mtab"
+    fi
+done
+
+if [ -z "${root_dir}" ]; then
+	echo "Roots not found"
+	exit 0
+else
+	echo "Found:"
+	ls -lt ${root_dir}
+fi
+
+root_dir=`ls -1t ${root_dir} |head -n1`
+root_dir=${root_dir%/etc/mtab}
+mkdir "${DST}"
+mount -v --bind "${root_dir}" "${DST}"
diff -ruN .//client/domain/pxe_client/2start/38_find_calculate.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/38_find_calculate.sh
--- .//client/domain/pxe_client/2start/38_find_calculate.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/38_find_calculate.sh	2012-05-08 02:41:57.000000000 +0300
@@ -0,0 +1,21 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+[ -d /mnt/calculate ] && exit 0
+[ -d /mnt/root ] || exit 0
+
+record="`/bin/sed -nre 's:^\s*([0-9A-Za-z/=\-]+\s+)(/var/calculate/?)(\s+[0-9a-z]+\s.*)$:\1:p' </mnt/root/etc/fstab`"
+
+mkdir -v /mnt/calculate
+
+if ( dev=`/sbin/blkid $record -o device`|| dev=`/sbin/blkid -t $record -o device`&& /bin/mount "${dev}" -o remount,rw&& /bin/mount ${dev} /mnt/calculate ) then
+    mount -v --bind /mnt/calculate/home/ /home/
+    mount -v --bind /mnt/calculate/tmp/ /var/calculate/tmp/
+else
+    rmdir -v /mnt/calculate
+    mount -v /mnt/root -o remount,rw
+    mount -v /mnt/root/home /home
+fi
+
+:
diff -ruN .//client/domain/pxe_client/2start/40_correct_ssh_keys.sh /var/calculate/remote/templates//client/domain/pxe_client/2start/40_correct_ssh_keys.sh
--- .//client/domain/pxe_client/2start/40_correct_ssh_keys.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/40_correct_ssh_keys.sh	2012-05-08 02:42:04.000000000 +0300
@@ -0,0 +1,7 @@
+# Calculate exec=/bin/bash path=/tmp
+
+echo "Starting $0 ..."
+
+[ -d /mnt/root ] || exit 0
+cp -a /mnt/root/etc/ssh/ssh_host_*key* /etc/ssh/ && /etc/init.d/sshd restart
+:
diff -ruN .//client/domain/pxe_client/2start/.calculate_directory /var/calculate/remote/templates//client/domain/pxe_client/2start/.calculate_directory
--- .//client/domain/pxe_client/2start/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/2start/.calculate_directory	2012-04-20 07:13:44.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip ac_client_domain==up
diff -ruN .//client/domain/pxe_client/.calculate_directory /var/calculate/remote/templates//client/domain/pxe_client/.calculate_directory
--- .//client/domain/pxe_client/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//client/domain/pxe_client/.calculate_directory	2012-05-03 21:04:11.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip os_root_type==livecd os_root_dev==/dev/nfs
diff -ruN .//desktop/.calculate_directory /var/calculate/remote/templates//desktop/.calculate_directory
--- .//desktop/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//desktop/.calculate_directory	2011-04-11 02:12:22.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip cl_name==calculate-desktop
diff -ruN .//desktop/screen/.calculate_directory /var/calculate/remote/templates//desktop/screen/.calculate_directory
--- .//desktop/screen/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//desktop/screen/.calculate_directory	2011-04-09 01:50:25.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip belong()!= cl_name==calculate-desktop
diff -ruN .//desktop/screen/.screenrc /var/calculate/remote/templates//desktop/screen/.screenrc
--- .//desktop/screen/.screenrc	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//desktop/screen/.screenrc	2011-04-09 01:51:44.000000000 +0300
@@ -0,0 +1,17 @@
+# Calculate append=replace cl_name==calculate-desktop exists(~/.screenrc)== path=~/
+
+backtick 1 1 1 sh -c 'free -m|awk "/^Mem:/{mt=\$2;mu=\$3;mf=\$4}/^Swap:/{st=\$2;su=\$3;sf=\$4}END{printf(\"Mem:\"mf\"/\"mu);if(su)printf(\"|Swp:\"su\"/\"sf)}"'
+backtick 2 1 1 sh -c 'cat /proc/acpi/battery/*/*|awk "BEGIN{max=0;now=0.;cha=\" \"}/^design capacity:/{max+=\$3}/^remaining capacity:/{now+=100.*\$3}/^charging state: +discharging/{cha=\"-\"}/^charging state: +charging/{cha=\"+\"}END{if(now/max>10){CONVFMT = \"%2.1f\";r=(now/max)\"%\";}else{r=now/100\"/\"max;};printf (\"BAT:%c%s\",cha,r)}" '
+shelltitle '$|sh'
+shell -$SHELL
+vbell off
+startup_message off
+defscrollback 10000
+#?ur_group==root#
+caption always "%{+b Wr}$USER@%H%{+b gk} %=[%{r}%h%{g}]%=|%Y-%m-%d%{c}|%c:%s%{w}"
+#ur_group#
+#?ur_group!=root#
+caption always "%{+b wk}$USER@%H%{+b gk} %=[%{r}%h%{g}]%=%{g}|%Y-%m-%d%{c}|%c:%s%{w}"
+#ur_group#
+hardstatus alwayslastline "%{dd}%{+b kg} %w %{dd} %= %{g}|%{dd}%1`%{g}|%{dd}%l%{g}|%{kr}%2`"
+term xterm-256color
diff -ruN .//install/1merge/.calculate_directory /var/calculate/remote/templates//install/1merge/.calculate_directory
--- .//install/1merge/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/.calculate_directory	2011-09-10 11:58:33.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip ac_install_merge==up
diff -ruN .//install/1merge/less/70less /var/calculate/remote/templates//install/1merge/less/70less
--- .//install/1merge/less/70less	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/less/70less	2011-04-02 19:25:42.000000000 +0300
@@ -0,0 +1,3 @@
+# Calculate format=openrc path=/etc/env.d/
+LESS="-R -M -i --shift 1"
+LESSCOLOR=always
diff -ruN .//install/1merge/less/.calculate_directory /var/calculate/remote/templates//install/1merge/less/.calculate_directory
--- .//install/1merge/less/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/less/.calculate_directory	2011-04-09 01:43:23.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip belong()!= cl_name==calculate-install
diff -ruN .//install/1merge/lm_sensors/.calculate_directory /var/calculate/remote/templates//install/1merge/lm_sensors/.calculate_directory
--- .//install/1merge/lm_sensors/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/lm_sensors/.calculate_directory	2011-04-09 01:43:23.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip belong()!= cl_name==calculate-install
diff -ruN .//install/1merge/lm_sensors/lm_sensors.init.sh /var/calculate/remote/templates//install/1merge/lm_sensors/lm_sensors.init.sh
--- .//install/1merge/lm_sensors/lm_sensors.init.sh	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/lm_sensors/lm_sensors.init.sh	2012-05-07 18:15:12.000000000 +0300
@@ -0,0 +1,4 @@
+# Calculate exec=/bin/bash path=/tmp exists(/etc/conf.d/lm_sensors)==
+
+sh -c '/usr/bin/yes | /usr/sbin/sensors-detect; /usr/bin/touch /etc/conf.d/lm_sensors; /sbin/rc-update add lm_sensors; /etc/init.d/lm_sensors start' &>/dev/null &
+:
diff -ruN .//install/1merge/nano/99editor /var/calculate/remote/templates//install/1merge/nano/99editor
--- .//install/1merge/nano/99editor	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/nano/99editor	2011-04-02 19:24:13.000000000 +0300
@@ -0,0 +1,3 @@
+# Calculate format=openrc path=/etc/env.d
+EDITOR="/bin/nano"
+VISUAL="/bin/nano"
diff -ruN .//install/1merge/nano/.calculate_directory /var/calculate/remote/templates//install/1merge/nano/.calculate_directory
--- .//install/1merge/nano/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/nano/.calculate_directory	2011-04-09 01:16:37.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip belong()!= cl_name==calculate-install
diff -ruN .//install/1merge/nano/nanorc /var/calculate/remote/templates//install/1merge/nano/nanorc
--- .//install/1merge/nano/nanorc	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/nano/nanorc	2011-04-02 19:26:02.000000000 +0300
@@ -0,0 +1,7 @@
+# Calculate format=patch path=/etc/
+<reg>#\s+set\s+(autoindent|const|noconvert|nonewlines|nowrap|regexp|smarthome|smooth|softwrap)</reg>
+<text>set \1</text>
+<reg>#\s+set\s+(tabsize\s+\d+)</reg>
+<text>set tabsize 4</text>
+<reg># include </reg>
+<text>include </text>
diff -ruN .//install/1merge/openrc/.calculate_directory /var/calculate/remote/templates//install/1merge/openrc/.calculate_directory
--- .//install/1merge/openrc/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/openrc/.calculate_directory	2011-04-09 01:12:34.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip belong()!= cl_name==calculate-install
diff -ruN .//install/1merge/openrc/rc.conf /var/calculate/remote/templates//install/1merge/openrc/rc.conf
--- .//install/1merge/openrc/rc.conf	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/1merge/openrc/rc.conf	2011-04-02 19:24:23.000000000 +0300
@@ -0,0 +1,2 @@
+# Calculate format=openrc path=/etc
+rc_ulimit="-u 400"
diff -ruN .//install/.calculate_directory /var/calculate/remote/templates//install/.calculate_directory
--- .//install/.calculate_directory	1970-01-01 03:00:00.000000000 +0300
+++ /var/calculate/remote/templates//install/.calculate_directory	2011-04-11 00:09:43.000000000 +0300
@@ -0,0 +1 @@
+# Calculate append=skip cl_name==calculate-install
